Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg
Class Function

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.pf.registry.ItemReference
              de.grogra.rgg.Function

All Implemented Interfaces:
  Manageable, Shareable, FloatToFloat

Direct Known Subclasses:
  FunctionRef

Deprecated.

    @Deprecated
    public class Function

extends ItemReference
implements FloatToFloat

Nested Class Summary
`static class` | `Function.Type` Deprecated.

Field Summary
`static Function.Type` | `$TYPE` Deprecated.

Fields inherited from class de.grogra.pf.registry.ItemReference
`item, itemResolved, name$FIELD, object, objectResolved`

Constructor Summary
`Function(java.lang.String name)` Deprecated.

Method Summary
`float` | `evaluate(float x)` Deprecated.
`float` | `evaluateFloat(float x)` Deprecated. Computes the value of this function at `x`.
`ManageableType` | `getManageableType()` Deprecated.

Methods inherited from class de.grogra.pf.registry.ItemReference
`createItem, equals, getName, hashCode, resolveItem, resolveObject`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final Function.Type $TYPE

  Deprecated.

Constructor Detail

### Function

    public Function(java.lang.String name)

  Deprecated.

Method Detail

### evaluate

    public float evaluate(float x)

  Deprecated.

### evaluateFloat

    public float evaluateFloat(float x)

  Deprecated.
  Description copied from interface: `FloatToFloat`
  Computes the value of this function at `x`.

  Specified by:
    `evaluateFloat` in interface `FloatToFloat`
  Parameters:
    `x` - where the function is to be evaluated
  Returns:
    function value at `x`

### getManageableType

    public ManageableType getManageableType()

  Deprecated.
  Specified by:
    `getManageableType` in interface `Manageable`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD